%{!?prerelease: %define prerelease ALPHA}

Name:           ncrack
Version:        0.2
Release:        0.1.%{prerelease}%{?dist}
Summary:        High-speed network auth cracking tool

Group:          Applications/Internet
License:        GPLv2 with exceptions
URL:            http://nmap.org/ncrack/
Source0:        http://nmap.org/ncrack/dist/%{name}-%{version}ALPHA.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  openssl-devel


%description
Ncrack is a high-speed network authentication cracking tool. It was
built to help companies secure their networks by proactively testing
all their hosts and networking devices for poor passwords. Security
professionals also rely on Ncrack when auditing their clients. Ncrack
was designed using a modular approach, a command-line syntax similar to
Nmap and a dynamic engine that can adapt its behaviour based on network
feedback. It allows for rapid, yet reliable large-scale auditing of
multiple hosts. 


%prep
%setup -q -n %{name}-%{version}%{prerelease}
# Change encoding and keep the timestamp
iconv -f ISO-8859-1 -t UTF8 COPYING.OpenSSH -o COPYING.OpenSSH.new
touch -r COPYING.OpenSSH COPYING.OpenSSH.new
mv COPYING.OpenSSH.new COPYING.OpenSSH
sed -i '/\$(STRIP)/d' Makefile.in


%build
%configure --without-zlib-version-check
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING COPYING.OpenSSH
%{_bindir}/ncrack
%{_mandir}/man1/ncrack.1*
%{_datadir}/%{name}/*


%changelog
* Mon Jun 14 2010 Steve 'Ashcrow' Milner <me@stevemilner.org> 0.2-0.1.ALPHA
- Update for upstream release.

* Mon Oct  5 2009 Steve 'Ashcrow' Milner <me@stevemilner.org> 0.01-0.7.ALPHA
- Added --without-zlib-version-check to configure to allow building on EL-4.

* Tue Sep 29 2009 Steve 'Ashcrow' Milner <me@stevemilner.org> 0.01-0.6.ALPHA
- Removed custom patches after discussion with upstream and reviewers.
- Moved what we thought was a config back to it's default location.

* Wed Sep 23 2009 Steve 'Ashcrow' Milner <me@stevemilner.org> 0.01-0.5.ALPHA
- Added Martin Gieseking's ncrack-config-in-etc patch moving configs to sysconfdir.

* Mon Sep 21 2009 Steve 'Ashcrow' Milner <me@stevemilner.org> 0.01-0.4.ALPHA
- Man page now using glob.
- Added strip to prep section to avoid empty debug package.

* Wed Sep 16 2009 Steve 'Ashcrow' Milner <me@stevemilner.org> 0.01-0.3.ALPHA
- updated previous change log to reflect the changes.
- removed COPYING.OpenSSL from doc
- now following proper pre-release versioning

* Tue Sep 15 2009 Steve 'Ashcrow' Milner <me@stevemilner.org> 0.01-0.2.ALPHA
- updated license tag to GPLv2 with restrictions
- preserve timestamp of file COPYING.OpenSSH

* Thu Sep 10 2009 Steve 'Ashcrow' Milner <me@stevemilner.org> 0.01-0.1.ALPHA
- Initial package
